## class FindDialog : public SelectionDialog

> find dialog class.

## Inheritance:

### Public Methods

  | FindDialog (Widget parent)
  const char* | GetClassName ()
  bool | SensitiveOn ()
  bool | SubstringOn ()
  bool | NameOnlyOn ()
  void | ManageSensitiveToggle (bool b)
  void | ManageSubstringToggle (bool b)
  void | ManageNameOnlyToggle (bool b)

### Protected Methods

  void | Configure ()
  void | CreateWidget ()
  Widget | GetForm ()
  Widget | GetToggleRC ()
  virtual void | AttachToggles ()

### Inherited from SelectionDialog:

### Public Methods

void SetTextString(const char *v)
void SetTextString(const string *v)
void SetEditable(bool b)
void GetTextString(char *n)
void GetTextString(string *n)
void ManageTextString(bool)
void SetSelectionLabel(const char *l)
void ManageSelectionLabel(bool)
void SetApplyCallback(XtCallbackProc fun, XtPointer clientData)
void SetApplyButtonLabel(const char *txt)
void ManageApplyButton(bool)
static void ClearCB(Widget, XtPointer, XtPointer)
static void SetDefaultCB(Widget, XtPointer, XtPointer)
void SetDefaultValue(const char *s)
void SetDefaultValue(const string *s)
const string* GetDefaultValue()
void SelectItem(const string *label)
void DeselectAllItems()
void DeleteAllItems()
void AddItem(const char *text, int pos = 0)
void AddItem(const string *text, int pos = 0)

### Protected Methods

Widget GetText()
void SetText(Widget w)
Widget GetList()
Widget GetSelectionLabel()
void SetSelectionLabel(Widget w)

### Inherited from Dialog:

### Public Fields

static const unsigned MAXTITLE

### Public Methods

void Initialize()
virtual void SetOKCallback(XtCallbackProc fun, XtPointer clientData)
virtual void SetCancelCallback(XtCallbackProc fun, XtPointer clientData)
virtual void SetHelpCallback(XtCallbackProc fun, XtPointer clientData)
void SetOKButtonLabel(const char *txt)
void SetCancelButtonLabel(const char *txt)
void SetHelpButtonLabel(const char *txt)
void ManageOKButton(bool)
void ManageCancelButton(bool)
void ManageHelpButton(bool)
virtual void SetAutoDestroy(bool b)
virtual void Popup()
virtual void Popdown()
void SetTitle(const char *title)
void SetTitle(const string *title)
void GetTitle(char *title)
void GetTitle(string *title)
void SetModal(bool b)
void SetAutoUnmanage(bool b)
bool GetAutoUnmanage()
void SetCenteredOnPointer(bool b)
static void UnmanageCB(Widget, XtPointer, XtPointer)
static void DestroyCB(Widget, XtPointer, XtPointer)
static void DestroyWidgetCB(Widget, XtPointer, XtPointer)
static void TraverseNextCB(Widget, XtPointer, XtPointer)
static void TraverseNextGroupCB(Widget, XtPointer, XtPointer)

### Protected Methods

Widget GetParent()
void ManageWidget(Widget, bool)
void ManageCenteredOnPointer()

### Inherited from MWidget:

### Public Methods

virtual void Manage()
bool IsRealized()
void SetColormap(Colormap cmap)
void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)
void AddLiteClue(Widget w, const char *text)

### Protected Methods

Widget GetLiteClue()
void CreateLiteClue()
void InstallDestroyHandler()

### Inherited from Component:

### Public Methods

bool IsManaged()
virtual void Unmanage()
Widget GetWidget()
Display* GetDisplay()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> find dialog class.

`FindDialog(Widget parent)`

`const char* GetClassName()`

`bool SensitiveOn()`

`bool SubstringOn()`

`bool NameOnlyOn()`

`void ManageSensitiveToggle(bool b)`

`void ManageSubstringToggle(bool b)`

`void ManageNameOnlyToggle(bool b)`

`void Configure()`

`void CreateWidget()`

`Widget GetForm()`

`Widget GetToggleRC()`

`virtual void AttachToggles()`

Direct child classes:
  ReplaceDialog

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de